Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wsee.reliability
Class WsrmSecurityContext

    java.lang.Object
      weblogic.wsee.reliability.WsrmSecurityContext

All Implemented Interfaces:
  Externalizable, Serializable

    public class WsrmSecurityContext

extends Object
implements Externalizable

User: jlee Date: Feb 9, 2006 Time: 10:12:01 AM

See Also:
  Serialized Form

Constructor Summary
`WsrmSecurityContext()`
`WsrmSecurityContext(MessageContext ctx)`

Method Summary
`weblogic.wsee.security.wssc.v200502.sct.SCCredential` | `getSCCredential()`
`weblogic.wsee.policy.framework.NormalizedExpression` | `getSecurityPolicy()`
`X509Certificate` | `getServerEncryptCert()`
`X509Certificate` | `getServerVerifyCert()`
`boolean` | `isSecure()`
`boolean` | `isSecureWithWssc()`
`boolean` | `isSecureWithX509()`
`void` | `readExternal(ObjectInput in)`
`void` | `setSCCredential(weblogic.wsee.security.wssc.v200502.sct.SCCredential scCredential)`
`void` | `setSecureWithWssc(boolean required)`
`void` | `setSecureWithX509(boolean secureWithX509)`
`void` | `setServerEncryptCert(X509Certificate cert)`
`void` | `setServerVerifyCert(X509Certificate cert)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsrmSecurityContext

    public WsrmSecurityContext()

### WsrmSecurityContext

    public WsrmSecurityContext(MessageContext ctx)

Method Detail

### getSecurityPolicy

    public weblogic.wsee.policy.framework.NormalizedExpression getSecurityPolicy()
                                                                          throws weblogic.wsee.policy.framework.PolicyException

  Throws:
    `weblogic.wsee.policy.framework.PolicyException`

### isSecure

    public boolean isSecure()

### getSCCredential

    public weblogic.wsee.security.wssc.v200502.sct.SCCredential getSCCredential()

### setSCCredential

    public void setSCCredential(weblogic.wsee.security.wssc.v200502.sct.SCCredential scCredential)

### isSecureWithX509

    public boolean isSecureWithX509()

### setSecureWithX509

    public void setSecureWithX509(boolean secureWithX509)

### isSecureWithWssc

    public boolean isSecureWithWssc()

### setSecureWithWssc

    public void setSecureWithWssc(boolean required)

### setServerEncryptCert

    public void setServerEncryptCert(X509Certificate cert)

### getServerEncryptCert

    public X509Certificate getServerEncryptCert()

### setServerVerifyCert

    public void setServerVerifyCert(X509Certificate cert)

### getServerVerifyCert

    public X509Certificate getServerVerifyCert()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD